Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: Erik Aronesty <[email-masked]>
Date: Thu, 30 Jun 2022 13:04:50 -0400

>
> Anyway, demurrage and inflation have identical economic properties. They're
>> both a tax on savings. The only difference is the way that tax is
>> implemented.
>
>
the fact that a conversation on inflation is continuing without being
ignored is probably an indicator that the utility of on-chain services as
an incentive to drive fees is a worthwhile consideration.  i especially
like the proposed and very simple on-chain "payment codes" idea, for
example.   if a light-touch is used, bitcoin operators can thread the
needle allowing utility to grow a bit in response to halvings.  i suspect
lightning ate a lot of the on-chain fees.   future "compression and
privacy" protocols, like mweb, should keep this concern in mind.